<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AdminLTE 3 | Blank Page</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Users</a>
      </li>
    </ul>


  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Devcamp 120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Ninhtv</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>User list</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="orders.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Danh sách order</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="products.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Danh sách sản phẩm</p>
                </a>
              </li>
            </ul>
          </li>          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>User list</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">User list</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <div class="container jumbotron">
            <div class="row">
                <div class="col-5">
                    <div class="row">
                        <div class="col-4">
                            <label for="">Trạng thái Order</label>
                        </div>
                        <div class="col-8">
                            <select class="form-control" name="" id="select-trang-thai">
                                <option value="all">All</option>
                                <option value="open">Open</option>
                                <option value="confirmed">Confirmed</option>
                                <option value="cancel">Cancel</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-5">
                    <div class="row">
                        <div class="col-4">
                            <label for="">Loại Pizza</label>
                        </div>
                        <div class="col-8">
                            <select class="form-control" name="" id="select-loai-pizza">
                                <option value="all">All</option>
                                <option value="hawaii">Hawaii</option>
                                <option value="bacon">Bacon</option>
                                <option value="seafood">Seafood</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-2">
                    <button class="btn btn-success btn-search">Tìm kiếm</button>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row text-center">
            <div class="col-12">
                <h2><b> User list</b></h2>
            </div>
        </div>
        <div class="row">
            <div class="col-12 text-center">
                <table class="table table-bordered table-striped table-dark table-hover" id="order-table">
                    <thead>
                      <tr>
                        <th>Order ID</th>
                        <th>Kich co combo</th>
                        <th>Loai pizza</th>
                        <th>Nước uống</th>
                        <th>Thành tiền</th>
                        <th>Họ và tên</th>
                        <th>Số điện thoại</th>
                        <th>Trạng thái</th>
                        <th>Chi tiết</th>
                      </tr>
                    </thead>
            </div>
            </table>
        </div>
    </div>
    </section>
    <!-- /.content -->
    <div class="col-lg-6">
      <div class="card">
        <div class="card-header border-0">
          <div class="d-flex justify-content-between">
            <h3 class="card-title">Sales</h3>
            <a href="javascript:void(0);">View Report</a>
          </div>
        </div>
        <div class="card-body">
          <div class="d-flex">
            <p class="d-flex flex-column">
              <span class="text-bold text-lg">$18,230.00</span>
              <span>Sales Over Time</span>
            </p>
            <p class="ml-auto d-flex flex-column text-right">
              <span class="text-success">
                <i class="fas fa-arrow-up"></i> 33.1%
              </span>
              <span class="text-muted">Since last month</span>
            </p>
          </div>
          <!-- /.d-flex -->

          <div class="position-relative mb-4">
            <canvas id="sales-chart" height="200"></canvas>
          </div>

          <div class="d-flex flex-row justify-content-end">
            <span class="mr-2">
              <i class="fas fa-square text-primary"></i> This year
            </span>

            <span>
              <i class="fas fa-square text-gray"></i> Last year
            </span>
          </div>
        </div>
      </div>
      <!-- /.card -->

      
    </div>
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="./chart.js/Chart.min.js"></script>
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<script src="./dashboard3.js"></script>

​<script>
  $(document).ready(function(){
      onPageLoading()
      $(".btn-search").click(function(){
          onBtnFilterDataClick()
      })
      
  })
  
  const gARRAY_COL_NAME = ["orderId","kichCo","loaiPizza","idLoaiNuocUong","thanhTien","hoTen","soDienThoai","trangThai","chiTiet"]
  const gCOL_ORDER_ID = 0;
  const gCOL_KICH_CO_COMBO = 1;
  const gCOL_LOAI_PIZZA= 2;
  const gCOL_NUOC_UONG = 3;
  const gCOL_THANH_TIEN = 4;
  const gCOL_HO_VA_TEN = 5;
  const gCOL_SO_DIEN_THOAI = 6;
  const gCOL_TRANG_THAI = 7;
  const gCOL_CHI_TIET = 8;
  const gBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/orders";
  var gOrderObj
  //hàm load trang
  function onPageLoading(){
      getApiToGetOrder();
      loadDataToOrderTable(gOrderObj);
      $("#order-table").on("click",".btn-detail",function(){
          onBtnDetailClick(this)
      })
  }
  // thêm dữ liệu vào bảng
  $('#order-table').DataTable({
      columns: [{
              data: gARRAY_COL_NAME[gCOL_ORDER_ID]
          },
          {
              data: gARRAY_COL_NAME[gCOL_KICH_CO_COMBO]
          },
          {
              data: gARRAY_COL_NAME[gCOL_LOAI_PIZZA]
          },
          {
              data: gARRAY_COL_NAME[gCOL_NUOC_UONG]
          },
          {
              data: gARRAY_COL_NAME[gCOL_THANH_TIEN]
          },
          {
              data: gARRAY_COL_NAME[gCOL_HO_VA_TEN]
          },
          {
              data: gARRAY_COL_NAME[gCOL_SO_DIEN_THOAI]
          },
          {
              data: gARRAY_COL_NAME[gCOL_TRANG_THAI]
          },
          {
              data: gARRAY_COL_NAME[gCOL_CHI_TIET]
          },

      ],
      columnDefs: [
          {
              targets: gCOL_CHI_TIET,
              className: 'text-center',
              defaultContent: `<button class = "btn btn-primary btn-detail">Chi tiết</button>`
          }
      ],
      autoWidth: false,
  });
  // hàm gọi api order
  function getApiToGetOrder(){
      $.ajax({
          async:false,
          url: gBASE_URL,
          type: "GET",
          dataType:'json',
          success:function(res){
              //console.log(res)
              gOrderObj = res;
          },
          error:function(error){
              alert(error.responseText)
              console.assert(error)
          }
      })
  }
  //hàm vẽ lại bảng
  function loadDataToOrderTable(paramObjUser) {
      'use strict';
      var vTable = $('#order-table').DataTable();
      vTable.clear();
      vTable.rows.add(paramObjUser);
      vTable.draw();
  }
  //hàm hiển thị thông tin nút chi tiết
  function onBtnDetailClick(paramBtnDelete) {
      'use strict';
      console.log('Button detail Clicked rồi đó ba !!!')
      var vCurrentRow = $(paramBtnDelete).closest('tr');
      var vTable = $('#order-table').DataTable();
      var vDataRow = vTable.row(vCurrentRow).data();
      console.log(vDataRow);

  }
  function onBtnFilterDataClick(){
      console.log("filter đã được chạy")
      var vStatus = $("#select-trang-thai").val();
      var vPizzaType = $("#select-loai-pizza").val();
      var vDataFilter = gOrderObj.filter(function(item){
          return(vStatus == "all"|| item.trangThai == vStatus)&&(vPizzaType == "all" || item.loaiPizza == vPizzaType)
      })
      loadDataToOrderTable(vDataFilter);
  }

</script>
</body>
</html>
